Bug 735516 - keyboard: can't emulate rawmode for keycode 240 when enabling wifi by multimedia key
Summary: keyboard: can't emulate rawmode for keycode 240 when enabling wifi by multime...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: i386
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 21:18 UTC by Cristian Paul Peñaranda Rojas
Modified: 2012-11-15 00:21 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-14 17:03:56 UTC


Attachments (Terms of Use)
messages and smolt and dmidecode (145.74 KB, text/plain)
2012-04-07 20:51 UTC, Mads Kiilerich
no flags Details

Description Cristian Paul Peñaranda Rojas 2011-09-02 21:18:11 UTC
Description of problem:


Version-Release number of selected component (if applicable):

2.6.40.3-0.fc15.i686

How reproducible:

On a DELL Mini 1218 with a fresh and updated fedora install, after try to disable and enable wifi by using the wifi multimedia key (FN F2 ), i wasnt able i just got:

[  184.374388] keyboard: can't emulate rawmode for keycode 240
[  184.374425] keyboard: can't emulate rawmode for keycode 240

Note that wifi worked fine until i press that button then i could make it back.
As fedora is the only system installed

Steps to Reproduce:
1. press wifi key (FN f2)
2. press wifi key (FN f2) again
  
Actual results:

Wifi is Hard blocked according to rfkill list, and could not be unblocked even by rfkill unblock all

Expected results:

Wifi multimedia key should on/off wifi with no trouble

Additional info:

Output from lspci and lsmod commands

$ lspci
00:00.0 Host bridge: Intel Corporation N10 Family DMI Bridge
00:02.0 VGA compatible controller: Intel Corporation N10 Family Integrated Graphics Controller
00:02.1 Display controller: Intel Corporation N10 Family Integrated Graphics Controller
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation NM10 Family LPC Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation N10/ICH7 Family SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 05)
07:00.0 Network controller: Realtek Semiconductor Co., Ltd. Device 8176 (rev 01)


$ lsmod
Module                  Size  Used by
fuse                   53547  3 
cpufreq_ondemand        4782  2 
acpi_cpufreq            8212  1 
mperf                   1137  1 acpi_cpufreq
8021q                  14154  0 
garp                    4938  1 8021q
stp                     1391  1 garp
llc                     3726  2 garp,stp
ip6t_REJECT             3395  2 
nf_conntrack_ipv6       6429  1 
nf_defrag_ipv6          7174  1 nf_conntrack_ipv6
ip6table_filter         1215  1 
ip6_tables              9828  1 ip6table_filter
nf_conntrack_ipv4       6874  1 
nf_defrag_ipv4          1093  1 nf_conntrack_ipv4
xt_state                 942  2 
nf_conntrack           56146  3 nf_conntrack_ipv6,nf_conntrack_ipv4,xt_state
rfcomm                 49712  4 
bnep                   11748  2 
arc4                    1085  2 
dell_laptop             7267  0 
rtl8192ce              55686  0 
dcdbas                  6152  1 dell_laptop
snd_hda_codec_realtek   241866  1 
microcode              11689  0 
rtl8192c_common        49679  1 rtl8192ce
btusb                  12468  2 
rtlwifi                79339  1 rtl8192ce
uvcvideo               51089  0 
videodev               64085  1 uvcvideo
bluetooth             165011  23 rfcomm,bnep,btusb
media                   9214  2 uvcvideo,videodev
snd_hda_intel          20567  2 
snd_hda_codec          71160  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               4905  1 snd_hda_codec
snd_seq                43528  0 
mac80211              211975  3 rtl8192ce,rtl8192c_common,rtlwifi
snd_seq_device          5033  1 snd_seq
snd_pcm                63457  2 snd_hda_intel,snd_hda_codec
joydev                  7219  0 
i2c_i801                8021  0 
iTCO_wdt               10436  0 
iTCO_vendor_support     2070  1 iTCO_wdt
cfg80211              126267  2 rtlwifi,mac80211
snd_timer              15245  2 snd_seq,snd_pcm
r8169                  32300  0 
mii                     3639  1 r8169
rfkill                 12939  5 dell_laptop,bluetooth,cfg80211
snd                    48471  12 snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
soundcore               5027  1 snd
snd_page_alloc          6035  2 snd_hda_intel,snd_pcm
ipv6                  235841  23 ip6t_REJECT,nf_conntrack_ipv6,nf_defrag_ipv6
xts                     1879  2 
gf128mul                6208  1 xts
dm_crypt               12115  1 
i915                  332204  3 
drm_kms_helper         23178  1 i915
drm                   156263  4 i915,drm_kms_helper
i2c_algo_bit            4206  1 i915
i2c_core               21572  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  10684  1 i915

Comment 1 Cristian Paul Peñaranda Rojas 2011-09-02 21:57:52 UTC
I found a workaround, the issue seems to don't be present from a f15 liveusb, in wich i was finally able to enable wifi by pressing multimedia-wifi key (FN F2), boot lapto as usual and the wifi still enable :-)

Comment 2 Josh Boyer 2011-10-10 15:29:51 UTC
So you can toggle the FN F2 button repeatedly using the F15 liveusb image and it will correctly enable/disable wireless?  Does it also print out the keycode 240 message with the liveusb image?

Can you provide the output of dmesg and rfkill from the liveusb boot both before and after toggling the switch?

If the liveusb seems to be working correctly, does running the 2.6.38 kernel on the machine booted into the install also work?

Comment 3 Cristian Paul Peñaranda Rojas 2011-10-14 12:38:38 UTC
Yes it seems to enable/disable wireless from liveusb and also print the eycode
240 message

I do not have a f15 liveusb but i an give a try to f16 beta, is okay for you?

Comment 4 Josh Boyer 2011-10-14 13:02:20 UTC
(In reply to comment #3) 
> I do not have a f15 liveusb but i an give a try to f16 beta, is okay for you?

Yes, that would be great.

Comment 5 Damien Gombault 2011-11-27 18:04:49 UTC
I also have this problem with Fedora 16 and kernel 3.1.2-1.fc16.i686.PAE.

Comment 6 Damien Gombault 2011-11-27 18:07:25 UTC
I would precise,  I have a Dell Mini 1018.

Comment 7 Mads Kiilerich 2012-04-07 20:51:58 UTC
Created attachment 575968 [details]
messages and smolt and dmidecode

I see this on a friends computer with F16 and 3.3 kernel - also a Dell Inspiron 1018 A02.

The main problem as I (and they) see it is that if they happen to press that button then wireless stops working. The workaround that works for them is to boot into windows and press the button so a window pops up and a checkmark in wireless can be set.

The same problem is seen when wireless is disabled in gnome shell. Enabling it again doesn't turn on wireless, just like pressing the button doesn't.

I assume 'rfkill unblock' should enable wireless again, but it do also not make any difference.

Please let me know if other debug information is needed.

It seems like http://www.mydellmini.com/forum/ubuntu/24448-mini1018-wifi-switch-f2-doesnt-work.html describe the same problem.

Comment 8 Dave Jones 2012-10-23 15:40:38 UTC
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).

Comment 9 Justin M. Forbes 2012-11-14 17:03:56 UTC
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Comment 10 Mads Kiilerich 2012-11-15 00:21:08 UTC
Some quick testing last week (with 3.6.6, IIRC) indicated that f2 no longer killed wireless permanently ... but it still gave the 240 message, and f2 didn't work as a kill/don't kill switch.

I might be able to do some proper testing later on and reopen and make a decent report.


Note You need to log in before you can comment on or make changes to this bug.